package com.kamco.cd.training.common.enums;

import com.kamco.cd.training.common.utils.enums.CodeExpose;
import com.kamco.cd.training.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@CodeExpose
@Getter
@AllArgsConstructor
public enum TrainStatusType implements EnumType {
  // @formatter:off
  READY("대기"),
  IN_PROGRESS("진행중"),
  COMPLETED("완료"),
  STOPPED("중단됨"),
  ERROR("오류");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
